HARVID(1)

NAME
harvid - video server

SYNOPSIS
harvid [OPTION] [document-root]

DESCRIPTION
harvid - http ardour video server

OPTIONS

-A <cmdlist>, --admin <cmdlist>
    space separated list of allowed admin commands. An exclamation-mark before a command disables it. default: 'flush_cache'; available: flush_cache, purge_cache, shutdown

-c <path>, --chroot <path>
    change system root - jails server to this path

-C <frames>
    set initial frame-cache size (default: 128)

-D, --daemonize
    fork into background and detach from TTY

-g <name>, --groupname <name>
    assume this user-group

-h, --help
    display this help and exit

-F <feat>, --features <feat>
    space separated list of optional features. An exclamation-mark before a features disables it. default: 'index'; available: index, seek, flatindex, keepraw

-l <path>, --logfile <path>
    specify file for log messages

-M, --memlock
    attempt to lock memory (prevent cache paging)

-p <num>, --port <num>
    TCP port to listen on (default 1554)

-P <listenaddr>
    IP address to listen on (default 0.0.0.0)

-q, --quiet, --silent
    inhibit usual output (may be used thrice)

-s, --syslog
    send messages to syslog

-t <thread-limit>
    set maximum decoder-threads (default: 8)

-T <sec>, --timeout <secs>
    set a timeout after which the server will terminate if no new request arrives

-u <name>, --username <name>
    server will act as this user

-v, --verbose
    print more information (may be used twice)

-V, --version
    print version information and exit

The default document-root (if unspecified) is the system root: / or C:\.

If both syslog and logfile are given that last specified option will be used.

--verbose and --quiet are additive. The default is to print warnings and above only. Available log-levels are 'mute', 'critical, 'error', 'warning' and 'info'.

The --features option allows one to enable or disable /seek and /index http-handlers and change their respone: The 'flatindex' option concerns /index&flatindex=1 which recursively indexes all video file. It is disabled by defaults since a recursive search of the default docroot / can takes a very long time. When requesting png or jpeg images harvid decodes a raw RGB frame and then encodes it again. If 'keepraw' feature is enabled, both the raw RGB and encoded image are kept in cache. The default is to invaldate the RGB frame after encoding the image.

EXAMPLES
harvid -A '!flush_cache purge_cache shutdown' -C 256 /tmp/

sudo harvid -c /tmp/ -u nobody -g nogroup /

REPORTING BUGS
Report bugs to <robin@gareus.org> or https://github.com/x42/harvid/issues
Website http://x42.github.com/harvid/

Compiled with Lavf58.45.100 Lavc58.91.100 Lavu56.51.100

COPYRIGHT
Copyright © GPL 2002-2013, 2022 Robin Gareus <robin@gareus.org>